#!/usr/bin/env perl

# tests for "darcs optimize"

use lib 'lib/perl';
use Test::More 'no_plan';
use strict;
use Test::Darcs;
use Shell::Command;

init_tmp_repo();

touch('foo');
darcs("add foo");
like( darcs("record -a -m add_foo"), qr/finished recording/i, 'added patch');

like( darcs("optimize --reorder-patches"), qr/done optimizing/i, 
    "optimize --reorder-patches works for trivial case." );

